class UserSerializer < ActiveModel::Serializer
  include Rails.application.routes.url_helpers

  attributes :id, :name, :email, :admin, :token, :_links

  def _links
    {
      collection: api_users_url,
      self: api_user_url(object)
    }
  end

  def filter(attrs)
    super(attrs)
    if !scope.try(:admin)
      attrs.delete(:token)
    end
    return attrs
  end

end
