ENV["RAILS_ENV"] ||= "test"
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require 'minitest/spec'
require "mocha/setup"
require 'mocha/mini_test'
require 'database_cleaner'

DatabaseCleaner.strategy = :truncation

Pathname.glob(Rails.root.join("test", "support", "**", "*.rb")) do |file|
  require file
end

module MiniTest::Expectations
  infect_an_assertion :assert_redirected_to, :must_redirect_to
  infect_an_assertion :assert_template, :must_render_template
  infect_an_assertion :assert_response, :must_respond_with
end

class ActiveSupport::TestCase
  ActiveRecord::Migration.check_pending!

  fixtures :all

  class << self
    alias :context :describe
    alias :before :setup
    alias :after :teardown
  end

  before do
    DatabaseCleaner.clean
  end

  after do
    DatabaseCleaner.clean
  end

end
