class Api::UsersController < ApplicationController
  respond_to :json

  def index
    @users = User.all
    render json: @users
  end

  def show
    render json: user
  end

  def create
    @user = User.new(user_params)
    @user.save!
    render json: @user
  end

  def update
    user.update_attributes!(user_params)
    render json: user
  end

  def destroy
    user.destroy
    render json: user
  end

  private
  def user_params
    params.require(:user).permit(:name, :email)
  end

  def user
    @user ||= User.find(params[:id])
  end

end
