# == Schema Information
#
# Table name: users
#
#  id         :integer          not null, primary key
#  name       :string(255)      not null
#  email      :string(255)      not null
#  token      :string(255)      not null
#  admin      :boolean          default(FALSE)
#  created_at :datetime
#  updated_at :datetime
#

class User < ActiveRecord::Base
  validates :name, presence: true
  validates :email, presence: true
  validates :token, presence: true

  has_many :posts

  before_validation do
    self.token ||= SecureRandom.hex
  end

  def self.by_token!(token)
    where(token: token).first!
  end

end
