require 'test_helper'

describe PostSerializer do

  let(:post) { build_post(id: 42, user_id: 1) }
  let(:serializer) { PostSerializer.new(post) }
  let(:json) { serializer.as_json }

  [:id, :title, :body, :published, :user_id].each do |attr|

    describe attr do

      it 'is present' do
        json[attr].must_equal post.send(attr)
      end

    end

  end

end
